PULSEVIEW(1)

NAME
PulseView - Qt-based LA/scope/MSO GUI for sigrok

SYNOPSIS
pulseview [-lh?V] [-l|--loglevel] [-h|-?|--help] [-V|--version] [file.sr]

DESCRIPTION
PulseView is a cross-platform Qt-based GUI for the sigrok software suite for test and measurement equipment such as logic analyzers, oscilloscopes, MSOs, and more.

OPTIONS
PulseView has very few command line options, as most configuration elements are available from the GUI itself.

If the optional file.sr argument is supplied, PulseView tries to open the specified file. It has to be in the "libsigrok session" format.

-l, --loglevel
    Set the libsigrok and libsigrokdecode loglevel. At the moment PulseView doesn't support setting the two loglevels independently. The higher the number, the more debug output will be printed. Valid loglevels are:

    0 None
    1 Error
    2 Warnings
    3 Informational
    4 Debug
    5 Spew

-h, -?, --help
    Show a help text and exit.

-V, --version
    Show version information and exit.

EXIT STATUS
PulseView exits with 0 on success, 1 on most failures.

SEE ALSO
sigrok-cli(1)

BUGS
Please report any bugs via Bugzilla (http://sigrok.org/bugzilla) or on the sigrok-devel mailing list (sigrok-devel@lists.souceforge.net).

LICENSE
PulseView is covered by the GNU General Public License (GPL), version 3 or later.

AUTHORS
Please see the individual source code files.

This manual page was written by Uwe Hermann <uwe@hermann-uwe.de>. It is licensed under the terms of the GNU GPL (version 2 or later).